<?php
/**************************************************
  Coppermine 1.5.x Plugin - GoogleMaps 
  *************************************************
  Copyright (c) 2010 Alexander Usachev
  ********************************************
  $HeadURL:  $
  $Revision: 7125 $
  $LastChangedBy: gaugau $
  $Date: 2010-01-25 18:03:41 +0100 (Mo, 25 Jan 2010) $
  **************************************************/
  
if (!defined('IN_COPPERMINE')) die('Not in Coppermine...');

$thisplugin->add_filter('file_info','google_maps_view');
$thisplugin->add_filter('page_meta','google_maps_gallery_header'); // (shows just above the gallery)

function google_maps_view($html) {
    global $CONFIG,$CURRENT_PIC_DATA, $lang_plugin_moncalb, $moncal_icon_array;
	
	$exif = read_exif_data_raw(get_pic_url($CURRENT_PIC_DATA),0);

    if ($CONFIG['lang'] == 'russian') {
        if ($exif['GPS']['Longitude']&&$exif['GPS']['Latitude']){
            $html['Геотеги (Показать окно Google Maps)']= '<a href="javascript:;" onclick= "showmap('.$exif['GPS']['Longitude'].','.$exif['GPS']['Latitude'].');"><ins><b>Долгота: '.$exif['GPS']['Longitude'].', Широта: '.$exif['GPS']['Latitude'].'</b></ins></a><div id ="gmaps3_block" class = "gmaps3_block"></div>';
        } else {
            $html['Геотеги (Показать окно Google Maps)'] ='Нет данных о местоположении';	
        }
    } else {
        if ($exif['GPS']['Longitude']&&$exif['GPS']['Latitude']){
            $html['Geotags (Expand Google Maps window)']= '<a href="javascript:;" onclick= "showmap('.$exif['GPS']['Longitude'].','.$exif['GPS']['Latitude'].');"><ins><b>Longitude: '.$exif['GPS']['Longitude'].', Latitude: '.$exif['GPS']['Latitude'].'</b></ins></a><div id ="gmaps3_block" class = "gmaps3_block"></div>';
        } else {
            $html['Geotags (Expand Google Maps window)'] ='Geocodes not found';	
        }
    }
    return $html;
}

function google_maps_gallery_header($var) {
$var .= <<< EOT
  <style type="text/css">
   .gmaps3_block {
	width: 100%;
	height: 0px;
	background: #ccc;
	float: left;
   } 
   </style>';	

<script  type="text/javascript">

function showmap (longitude, latitude) {
	
    var div = document.getElementById("gmaps3_block");
	
	if(div.offsetHeight == 0)
	{
		div.style.height = "600px";
	
		var latlng = new google.maps.LatLng(latitude,longitude);
    	var myOptions = {
      		zoom: 17,
      		center: latlng,
			scrollwheel: false,
      		mapTypeId: google.maps.MapTypeId.HYBRID
    	};
    	
		var map = new google.maps.Map(document.getElementById("gmaps3_block"), myOptions);
		var marker = new new google.maps.Marker({
      		position: latlng, 
      		map: map, 
      		title:""
  		});   
	}else
	{
	div.style.height = "0px";
	}
	

};
</script>
<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=false"></script>
EOT;

return $var;
}


?>